Skip to content

Tasks

All operations require authentication.

4 operationsv1/license/office · /license/officePrepaid
View as Markdown (opens in a new tab)
Agent setup

List tenant tasksProduction

GET
/v1/license/office/{serviceName}/pendingTask

Returns the IDs of the pending tasks of the tenant.

Path parameters

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/license/office/{serviceName}/pendingTask \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a tenant taskProduction

GET
/v1/license/office/{serviceName}/pendingTask/{id}

Returns the function, status, creation date and completion date of the task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task's unique identifier

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/license/office/{serviceName}/pendingTask/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

List parent tenant tasksProduction

GET
/v1/license/officePrepaid/{serviceName}/tenantPendingTask

Returns the IDs of the pending tasks of the parent tenant.

Path parameters

serviceName
required
string

Service name

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/license/officePrepaid/{serviceName}/tenantPendingTask \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a parent tenant taskProduction

GET
/v1/license/officePrepaid/{serviceName}/tenantPendingTask/{id}

Returns the function, status, creation date and completion date of the task.

Path parameters

id
required
integer

Id

serviceName
required
string

Service name

Response

200OfficeTaskNativesuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
string

Function name

id
read-only
integer

Task's unique identifier

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/license/officePrepaid/{serviceName}/tenantPendingTask/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}